Core APIReferenceVaultsSlug
/vaults/{slug}/positions
Get the asset positions for a vault by slug
Get the asset positions for a vault by slug
Path Parameters
slug*string
Unique slug identifier for the vault.
Length
1 <= lengthQuery Parameters
liveLiquidity?string
Default
falseResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/vaults/nest-alpha-vault/positions"{ "data": { "vaultAddress": "string", "positions": { "liquidAssets": [ { "tokenAddress": "string", "chainId": 0, "symbol": "string", "position": { "value": 0 }, "pendingTransactions": [ { "value": 0 } ] } ], "offChainValue": 0, "yieldAssets": [ { "slug": "string", "tokens": [ { "tokenAddress": "string", "chainId": 0, "symbol": "string", "position": { "amount": 0, "price": 0, "value": 0, "yield": 0 }, "pendingTransactions": [ { "type": "PendingDeposit", "amount": 0, "price": 0, "value": 0, "requestId": 0 } ] } ] } ] }, "supplyByChain": { "property1": { "supply": 0, "supplyRaw": "string", "decimals": 0 }, "property2": { "supply": 0, "supplyRaw": "string", "decimals": 0 } }, "errors": [ { "source": "superstate", "operation": "getPendingTransactions", "message": "superstate getPendingTransactions timed out after 10000ms", "code": "TIMEOUT", "timestamp": 1704067200 } ] }}/vaults/{slug}/performance-history GET
Get vault performance history by slug for the given date range. Includes vault price/TVL/liquid funds/APY and optional per-yield-asset metrics. Vault price and NAV APY are derived from the preferred chain (Plume if configured, otherwise the first configured chain).
/vaults/{slug}/price GET
Get the NAV, price and total supply for a vault by slug